Package community/Mage_Core_Modules 1.6.2.0 conflicts with: community/Find_Feed 1.1.0

[10 ноября 2016 г.]    Российская сборка Magento 2.49.12
Magento 2: модули и услуги
#1 dimekh
  • Группа: Пользователь
  • Сообщений: 107
  • Регистрация: 14.04.2010

05.02.2012 20:11

Всем привет.
при попытке обновить magento с версии 1.6.1.0 до 1.6.2.0 на хостинге через magento connect не хочет обновлять основной модуль Mage_Core_Modules
выдает ошибку такого содержания:
CONNECT ERROR: Package community/Mage_Core_Modules 1.6.2.0 conflicts with: community/Find_Feed 1.1.0
При попытке удалить Find_Feed пишет про необходимость этой приблуды для как минимум 5 модулей.

Прям как в анекдоте: Драйвера от модема на диске, а драйвера от CD-ROM в интернете..

SSL провайдер не дает и что-то с техподдержкой молчит, что делать? Есть только ftp и phpmyadmin.

#2 Дмитрий Федюк
  • Администратор
  • Иконка
  • Группа: Администратор
  • Сообщений: 8884
  • Регистрация: 20.02.2010

05.02.2012 22:07

Эта проблема решается очень просто: выполните обновление с командной строки с ключом force:

./mage install http://connect20.magentocommerce.com/community Mage_All_Latest --force


#3 dimekh
  • Группа: Пользователь
  • Сообщений: 107
  • Регистрация: 14.04.2010

06.02.2012 09:58

Наверное я не из той командной строки пытаюсь выполнить команду. В терминале получаю следующее:

-sh: mage not found

#4 Дмитрий Федюк
  • Администратор
  • Иконка
  • Группа: Администратор
  • Сообщений: 8884
  • Регистрация: 20.02.2010

06.02.2012 10:00

Какая папка у вас установлена в качестве текущей перед выполнением команды mage?

#5 dimekh
  • Группа: Пользователь
  • Сообщений: 107
  • Регистрация: 14.04.2010

06.02.2012 10:03

корневая. Надо из /app/code/core/Mage?

#6 Дмитрий Федюк
  • Администратор
  • Иконка
  • Группа: Администратор
  • Сообщений: 8884
  • Регистрация: 20.02.2010

06.02.2012 10:05

Попробуйте
./mage install http://connect20.magentocommerce.com/community Mage_All_Latest --force


#7 dimekh
  • Группа: Пользователь
  • Сообщений: 107
  • Регистрация: 14.04.2010

06.02.2012 10:13

Да, теперь получилось. Спасибо.

Поделиться темой: